Subject: RE: bug#14000: 24.3.50; electric-pair-post-self-insert-function does not handle nestedparentheses

From: "Drew Adams" <[email-masked]>
Date: Tue, 26 Mar 2013 07:20:42 -0700

> > Some people do, but my guess would be that they are a minority.
> 
> Well, the majority is then going to keep electric-pair-mode 
> off, and will not be concerned by this bugfix?

Yes, my reply was only wrt the lines I quoted - nothing about the bug itself.

Mine was an OT comment on the notion that Lispers generally prefer electric
pairing (I doubt it).  And it's only a guess on my part wrt the majority.  And
it really doesn't matter whether something is majority or minority.

I just wanted to respond to the assumption that if you are an Emacs Lisper then
"you want to add them in pairs, always."  That's too strong, IMO.

> My bug report was about the behavior when it's on.
> Apparently then, someone already has made the decision that 
> they want the parentheses in pairs.

Yes.

> Wanting them in pairs, but not when they happen to be nested 
> touching on the left, is hard to follow for me.
> But, as Stefan points out, there may indeed be people who 
> actually want that, hence a preference setting within 
> electric-pair-mode may be the right thing here.

A preference setting would be good, IMO.  Emacs is (should be), above _all_
else, easily user-extensible and customizable.  By all means, make it easy to
choose, and make users aware of the easy-to-make choices.